IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/55
Addresses2^73
/64 networks512
- Network
2c19:dd:c25a:2000::/55- First address
2c19:dd:c25a:2000::- Last address
2c19:dd:c25a:21ff:ffff:ffff:ffff:ffff- Addresses
- 9,444,732,965,739,290,427,392 (2^73)
- /64 networks (LANs)
- 512
- Full form
2c19:00dd:c25a:2000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zones
0.2.a.5.2.c.d.d.0.0.9.1.c.2.ip6.arpa1.2.a.5.2.c.d.d.0.0.9.1.c.2.ip6.arpa
/55 is not on a 4-bit boundary, so it takes 2 /56 zones.
Split into smaller subnets
2c19:dd:c25a:2000::/55 makes 512 subnets of /64; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:c25a:2000::/64 | 2c19:dd:c25a:2000:ffff:ffff:ffff:ffff |
| 2 | 2c19:dd:c25a:2001::/64 | 2c19:dd:c25a:2001:ffff:ffff:ffff:ffff |
| 3 | 2c19:dd:c25a:2002::/64 | 2c19:dd:c25a:2002:ffff:ffff:ffff:ffff |
| 4 | 2c19:dd:c25a:2003::/64 | 2c19:dd:c25a:2003:ffff:ffff:ffff:ffff |
| 5 | 2c19:dd:c25a:2004::/64 | 2c19:dd:c25a:2004:ffff:ffff:ffff:ffff |
| 6 | 2c19:dd:c25a:2005::/64 | 2c19:dd:c25a:2005:ffff:ffff:ffff:ffff |
| 7 | 2c19:dd:c25a:2006::/64 | 2c19:dd:c25a:2006:ffff:ffff:ffff:ffff |
| 8 | 2c19:dd:c25a:2007::/64 | 2c19:dd:c25a:2007:ffff:ffff:ffff:ffff |
| 9 | 2c19:dd:c25a:2008::/64 | 2c19:dd:c25a:2008:ffff:ffff:ffff:ffff |
| 10 | 2c19:dd:c25a:2009::/64 | 2c19:dd:c25a:2009:ffff:ffff:ffff:ffff |
| 11 | 2c19:dd:c25a:200a::/64 | 2c19:dd:c25a:200a:ffff:ffff:ffff:ffff |
| 12 | 2c19:dd:c25a:200b::/64 | 2c19:dd:c25a:200b:ffff:ffff:ffff:ffff |
| 13 | 2c19:dd:c25a:200c::/64 | 2c19:dd:c25a:200c:ffff:ffff:ffff:ffff |
| 14 | 2c19:dd:c25a:200d::/64 | 2c19:dd:c25a:200d:ffff:ffff:ffff:ffff |
| 15 | 2c19:dd:c25a:200e::/64 | 2c19:dd:c25a:200e:ffff:ffff:ffff:ffff |
| 16 | 2c19:dd:c25a:200f::/64 | 2c19:dd:c25a:200f:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd:c25a:2010::/64 | 2c19:dd:c25a:2010:ffff:ffff:ffff:ffff |
| 18 | 2c19:dd:c25a:2011::/64 | 2c19:dd:c25a:2011:ffff:ffff:ffff:ffff |
| 19 | 2c19:dd:c25a:2012::/64 | 2c19:dd:c25a:2012:ffff:ffff:ffff:ffff |
| 20 | 2c19:dd:c25a:2013::/64 | 2c19:dd:c25a:2013:ffff:ffff:ffff:ffff |
| 21 | 2c19:dd:c25a:2014::/64 | 2c19:dd:c25a:2014:ffff:ffff:ffff:ffff |
| 22 | 2c19:dd:c25a:2015::/64 | 2c19:dd:c25a:2015:ffff:ffff:ffff:ffff |
| 23 | 2c19:dd:c25a:2016::/64 | 2c19:dd:c25a:2016:ffff:ffff:ffff:ffff |
| 24 | 2c19:dd:c25a:2017::/64 | 2c19:dd:c25a:2017:ffff:ffff:ffff:ffff |
| 25 | 2c19:dd:c25a:2018::/64 | 2c19:dd:c25a:2018:ffff:ffff:ffff:ffff |
| 26 | 2c19:dd:c25a:2019::/64 | 2c19:dd:c25a:2019:ffff:ffff:ffff:ffff |
| 27 | 2c19:dd:c25a:201a::/64 | 2c19:dd:c25a:201a:ffff:ffff:ffff:ffff |
| 28 | 2c19:dd:c25a:201b::/64 | 2c19:dd:c25a:201b:ffff:ffff:ffff:ffff |
| 29 | 2c19:dd:c25a:201c::/64 | 2c19:dd:c25a:201c:ffff:ffff:ffff:ffff |
| 30 | 2c19:dd:c25a:201d::/64 | 2c19:dd:c25a:201d:ffff:ffff:ffff:ffff |
| 31 | 2c19:dd:c25a:201e::/64 | 2c19:dd:c25a:201e:ffff:ffff:ffff:ffff |
| 32 | 2c19:dd:c25a:201f::/64 | 2c19:dd:c25a:201f:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd:c25a:2020::/64 | 2c19:dd:c25a:2020:ffff:ffff:ffff:ffff |
| 34 | 2c19:dd:c25a:2021::/64 | 2c19:dd:c25a:2021:ffff:ffff:ffff:ffff |
| 35 | 2c19:dd:c25a:2022::/64 | 2c19:dd:c25a:2022:ffff:ffff:ffff:ffff |
| 36 | 2c19:dd:c25a:2023::/64 | 2c19:dd:c25a:2023:ffff:ffff:ffff:ffff |
| 37 | 2c19:dd:c25a:2024::/64 | 2c19:dd:c25a:2024:ffff:ffff:ffff:ffff |
| 38 | 2c19:dd:c25a:2025::/64 | 2c19:dd:c25a:2025:ffff:ffff:ffff:ffff |
| 39 | 2c19:dd:c25a:2026::/64 | 2c19:dd:c25a:2026:ffff:ffff:ffff:ffff |
| 40 | 2c19:dd:c25a:2027::/64 | 2c19:dd:c25a:2027:ffff:ffff:ffff:ffff |
| 41 | 2c19:dd:c25a:2028::/64 | 2c19:dd:c25a:2028:ffff:ffff:ffff:ffff |
| 42 | 2c19:dd:c25a:2029::/64 | 2c19:dd:c25a:2029:ffff:ffff:ffff:ffff |
| 43 | 2c19:dd:c25a:202a::/64 | 2c19:dd:c25a:202a:ffff:ffff:ffff:ffff |
| 44 | 2c19:dd:c25a:202b::/64 | 2c19:dd:c25a:202b:ffff:ffff:ffff:ffff |
| 45 | 2c19:dd:c25a:202c::/64 | 2c19:dd:c25a:202c:ffff:ffff:ffff:ffff |
| 46 | 2c19:dd:c25a:202d::/64 | 2c19:dd:c25a:202d:ffff:ffff:ffff:ffff |
| 47 | 2c19:dd:c25a:202e::/64 | 2c19:dd:c25a:202e:ffff:ffff:ffff:ffff |
| 48 | 2c19:dd:c25a:202f::/64 | 2c19:dd:c25a:202f:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd:c25a:2030::/64 | 2c19:dd:c25a:2030:ffff:ffff:ffff:ffff |
| 50 | 2c19:dd:c25a:2031::/64 | 2c19:dd:c25a:2031:ffff:ffff:ffff:ffff |
| 51 | 2c19:dd:c25a:2032::/64 | 2c19:dd:c25a:2032:ffff:ffff:ffff:ffff |
| 52 | 2c19:dd:c25a:2033::/64 | 2c19:dd:c25a:2033:ffff:ffff:ffff:ffff |
| 53 | 2c19:dd:c25a:2034::/64 | 2c19:dd:c25a:2034:ffff:ffff:ffff:ffff |
| 54 | 2c19:dd:c25a:2035::/64 | 2c19:dd:c25a:2035:ffff:ffff:ffff:ffff |
| 55 | 2c19:dd:c25a:2036::/64 | 2c19:dd:c25a:2036:ffff:ffff:ffff:ffff |
| 56 | 2c19:dd:c25a:2037::/64 | 2c19:dd:c25a:2037:ffff:ffff:ffff:ffff |
| 57 | 2c19:dd:c25a:2038::/64 | 2c19:dd:c25a:2038:ffff:ffff:ffff:ffff |
| 58 | 2c19:dd:c25a:2039::/64 | 2c19:dd:c25a:2039:ffff:ffff:ffff:ffff |
| 59 | 2c19:dd:c25a:203a::/64 | 2c19:dd:c25a:203a:ffff:ffff:ffff:ffff |
| 60 | 2c19:dd:c25a:203b::/64 | 2c19:dd:c25a:203b:ffff:ffff:ffff:ffff |
| 61 | 2c19:dd:c25a:203c::/64 | 2c19:dd:c25a:203c:ffff:ffff:ffff:ffff |
| 62 | 2c19:dd:c25a:203d::/64 | 2c19:dd:c25a:203d:ffff:ffff:ffff:ffff |
| 63 | 2c19:dd:c25a:203e::/64 | 2c19:dd:c25a:203e:ffff:ffff:ffff:ffff |
| 64 | 2c19:dd:c25a:203f::/64 | 2c19:dd:c25a:203f:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd:c25a:2040::/64 | 2c19:dd:c25a:2040:ffff:ffff:ffff:ffff |
| 66 | 2c19:dd:c25a:2041::/64 | 2c19:dd:c25a:2041:ffff:ffff:ffff:ffff |
| 67 | 2c19:dd:c25a:2042::/64 | 2c19:dd:c25a:2042:ffff:ffff:ffff:ffff |
| 68 | 2c19:dd:c25a:2043::/64 | 2c19:dd:c25a:2043:ffff:ffff:ffff:ffff |
| 69 | 2c19:dd:c25a:2044::/64 | 2c19:dd:c25a:2044:ffff:ffff:ffff:ffff |
| 70 | 2c19:dd:c25a:2045::/64 | 2c19:dd:c25a:2045:ffff:ffff:ffff:ffff |
| 71 | 2c19:dd:c25a:2046::/64 | 2c19:dd:c25a:2046:ffff:ffff:ffff:ffff |
| 72 | 2c19:dd:c25a:2047::/64 | 2c19:dd:c25a:2047:ffff:ffff:ffff:ffff |
| 73 | 2c19:dd:c25a:2048::/64 | 2c19:dd:c25a:2048:ffff:ffff:ffff:ffff |
| 74 | 2c19:dd:c25a:2049::/64 | 2c19:dd:c25a:2049:ffff:ffff:ffff:ffff |
| 75 | 2c19:dd:c25a:204a::/64 | 2c19:dd:c25a:204a:ffff:ffff:ffff:ffff |
| 76 | 2c19:dd:c25a:204b::/64 | 2c19:dd:c25a:204b:ffff:ffff:ffff:ffff |
| 77 | 2c19:dd:c25a:204c::/64 | 2c19:dd:c25a:204c:ffff:ffff:ffff:ffff |
| 78 | 2c19:dd:c25a:204d::/64 | 2c19:dd:c25a:204d:ffff:ffff:ffff:ffff |
| 79 | 2c19:dd:c25a:204e::/64 | 2c19:dd:c25a:204e:ffff:ffff:ffff:ffff |
| 80 | 2c19:dd:c25a:204f::/64 | 2c19:dd:c25a:204f:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd:c25a:2050::/64 | 2c19:dd:c25a:2050:ffff:ffff:ffff:ffff |
| 82 | 2c19:dd:c25a:2051::/64 | 2c19:dd:c25a:2051:ffff:ffff:ffff:ffff |
| 83 | 2c19:dd:c25a:2052::/64 | 2c19:dd:c25a:2052:ffff:ffff:ffff:ffff |
| 84 | 2c19:dd:c25a:2053::/64 | 2c19:dd:c25a:2053:ffff:ffff:ffff:ffff |
| 85 | 2c19:dd:c25a:2054::/64 | 2c19:dd:c25a:2054:ffff:ffff:ffff:ffff |
| 86 | 2c19:dd:c25a:2055::/64 | 2c19:dd:c25a:2055:ffff:ffff:ffff:ffff |
| 87 | 2c19:dd:c25a:2056::/64 | 2c19:dd:c25a:2056:ffff:ffff:ffff:ffff |
| 88 | 2c19:dd:c25a:2057::/64 | 2c19:dd:c25a:2057:ffff:ffff:ffff:ffff |
| 89 | 2c19:dd:c25a:2058::/64 | 2c19:dd:c25a:2058:ffff:ffff:ffff:ffff |
| 90 | 2c19:dd:c25a:2059::/64 | 2c19:dd:c25a:2059:ffff:ffff:ffff:ffff |
| 91 | 2c19:dd:c25a:205a::/64 | 2c19:dd:c25a:205a:ffff:ffff:ffff:ffff |
| 92 | 2c19:dd:c25a:205b::/64 | 2c19:dd:c25a:205b:ffff:ffff:ffff:ffff |
| 93 | 2c19:dd:c25a:205c::/64 | 2c19:dd:c25a:205c:ffff:ffff:ffff:ffff |
| 94 | 2c19:dd:c25a:205d::/64 | 2c19:dd:c25a:205d:ffff:ffff:ffff:ffff |
| 95 | 2c19:dd:c25a:205e::/64 | 2c19:dd:c25a:205e:ffff:ffff:ffff:ffff |
| 96 | 2c19:dd:c25a:205f::/64 | 2c19:dd:c25a:205f:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd:c25a:2060::/64 | 2c19:dd:c25a:2060:ffff:ffff:ffff:ffff |
| 98 | 2c19:dd:c25a:2061::/64 | 2c19:dd:c25a:2061:ffff:ffff:ffff:ffff |
| 99 | 2c19:dd:c25a:2062::/64 | 2c19:dd:c25a:2062:ffff:ffff:ffff:ffff |
| 100 | 2c19:dd:c25a:2063::/64 | 2c19:dd:c25a:2063:ffff:ffff:ffff:ffff |
| 101 | 2c19:dd:c25a:2064::/64 | 2c19:dd:c25a:2064:ffff:ffff:ffff:ffff |
| 102 | 2c19:dd:c25a:2065::/64 | 2c19:dd:c25a:2065:ffff:ffff:ffff:ffff |
| 103 | 2c19:dd:c25a:2066::/64 | 2c19:dd:c25a:2066:ffff:ffff:ffff:ffff |
| 104 | 2c19:dd:c25a:2067::/64 | 2c19:dd:c25a:2067:ffff:ffff:ffff:ffff |
| 105 | 2c19:dd:c25a:2068::/64 | 2c19:dd:c25a:2068:ffff:ffff:ffff:ffff |
| 106 | 2c19:dd:c25a:2069::/64 | 2c19:dd:c25a:2069:ffff:ffff:ffff:ffff |
| 107 | 2c19:dd:c25a:206a::/64 | 2c19:dd:c25a:206a:ffff:ffff:ffff:ffff |
| 108 | 2c19:dd:c25a:206b::/64 | 2c19:dd:c25a:206b:ffff:ffff:ffff:ffff |
| 109 | 2c19:dd:c25a:206c::/64 | 2c19:dd:c25a:206c:ffff:ffff:ffff:ffff |
| 110 | 2c19:dd:c25a:206d::/64 | 2c19:dd:c25a:206d:ffff:ffff:ffff:ffff |
| 111 | 2c19:dd:c25a:206e::/64 | 2c19:dd:c25a:206e:ffff:ffff:ffff:ffff |
| 112 | 2c19:dd:c25a:206f::/64 | 2c19:dd:c25a:206f:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd:c25a:2070::/64 | 2c19:dd:c25a:2070:ffff:ffff:ffff:ffff |
| 114 | 2c19:dd:c25a:2071::/64 | 2c19:dd:c25a:2071:ffff:ffff:ffff:ffff |
| 115 | 2c19:dd:c25a:2072::/64 | 2c19:dd:c25a:2072:ffff:ffff:ffff:ffff |
| 116 | 2c19:dd:c25a:2073::/64 | 2c19:dd:c25a:2073:ffff:ffff:ffff:ffff |
| 117 | 2c19:dd:c25a:2074::/64 | 2c19:dd:c25a:2074:ffff:ffff:ffff:ffff |
| 118 | 2c19:dd:c25a:2075::/64 | 2c19:dd:c25a:2075:ffff:ffff:ffff:ffff |
| 119 | 2c19:dd:c25a:2076::/64 | 2c19:dd:c25a:2076:ffff:ffff:ffff:ffff |
| 120 | 2c19:dd:c25a:2077::/64 | 2c19:dd:c25a:2077:ffff:ffff:ffff:ffff |
| 121 | 2c19:dd:c25a:2078::/64 | 2c19:dd:c25a:2078:ffff:ffff:ffff:ffff |
| 122 | 2c19:dd:c25a:2079::/64 | 2c19:dd:c25a:2079:ffff:ffff:ffff:ffff |
| 123 | 2c19:dd:c25a:207a::/64 | 2c19:dd:c25a:207a:ffff:ffff:ffff:ffff |
| 124 | 2c19:dd:c25a:207b::/64 | 2c19:dd:c25a:207b:ffff:ffff:ffff:ffff |
| 125 | 2c19:dd:c25a:207c::/64 | 2c19:dd:c25a:207c:ffff:ffff:ffff:ffff |
| 126 | 2c19:dd:c25a:207d::/64 | 2c19:dd:c25a:207d:ffff:ffff:ffff:ffff |
| 127 | 2c19:dd:c25a:207e::/64 | 2c19:dd:c25a:207e:ffff:ffff:ffff:ffff |
| 128 | 2c19:dd:c25a:207f::/64 | 2c19:dd:c25a:207f:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd:c25a:2080::/64 | 2c19:dd:c25a:2080:ffff:ffff:ffff:ffff |
| 130 | 2c19:dd:c25a:2081::/64 | 2c19:dd:c25a:2081:ffff:ffff:ffff:ffff |
| 131 | 2c19:dd:c25a:2082::/64 | 2c19:dd:c25a:2082:ffff:ffff:ffff:ffff |
| 132 | 2c19:dd:c25a:2083::/64 | 2c19:dd:c25a:2083:ffff:ffff:ffff:ffff |
| 133 | 2c19:dd:c25a:2084::/64 | 2c19:dd:c25a:2084:ffff:ffff:ffff:ffff |
| 134 | 2c19:dd:c25a:2085::/64 | 2c19:dd:c25a:2085:ffff:ffff:ffff:ffff |
| 135 | 2c19:dd:c25a:2086::/64 | 2c19:dd:c25a:2086:ffff:ffff:ffff:ffff |
| 136 | 2c19:dd:c25a:2087::/64 | 2c19:dd:c25a:2087:ffff:ffff:ffff:ffff |
| 137 | 2c19:dd:c25a:2088::/64 | 2c19:dd:c25a:2088:ffff:ffff:ffff:ffff |
| 138 | 2c19:dd:c25a:2089::/64 | 2c19:dd:c25a:2089:ffff:ffff:ffff:ffff |
| 139 | 2c19:dd:c25a:208a::/64 | 2c19:dd:c25a:208a:ffff:ffff:ffff:ffff |
| 140 | 2c19:dd:c25a:208b::/64 | 2c19:dd:c25a:208b:ffff:ffff:ffff:ffff |
| 141 | 2c19:dd:c25a:208c::/64 | 2c19:dd:c25a:208c:ffff:ffff:ffff:ffff |
| 142 | 2c19:dd:c25a:208d::/64 | 2c19:dd:c25a:208d:ffff:ffff:ffff:ffff |
| 143 | 2c19:dd:c25a:208e::/64 | 2c19:dd:c25a:208e:ffff:ffff:ffff:ffff |
| 144 | 2c19:dd:c25a:208f::/64 | 2c19:dd:c25a:208f:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd:c25a:2090::/64 | 2c19:dd:c25a:2090:ffff:ffff:ffff:ffff |
| 146 | 2c19:dd:c25a:2091::/64 | 2c19:dd:c25a:2091:ffff:ffff:ffff:ffff |
| 147 | 2c19:dd:c25a:2092::/64 | 2c19:dd:c25a:2092:ffff:ffff:ffff:ffff |
| 148 | 2c19:dd:c25a:2093::/64 | 2c19:dd:c25a:2093:ffff:ffff:ffff:ffff |
| 149 | 2c19:dd:c25a:2094::/64 | 2c19:dd:c25a:2094:ffff:ffff:ffff:ffff |
| 150 | 2c19:dd:c25a:2095::/64 | 2c19:dd:c25a:2095:ffff:ffff:ffff:ffff |
| 151 | 2c19:dd:c25a:2096::/64 | 2c19:dd:c25a:2096:ffff:ffff:ffff:ffff |
| 152 | 2c19:dd:c25a:2097::/64 | 2c19:dd:c25a:2097:ffff:ffff:ffff:ffff |
| 153 | 2c19:dd:c25a:2098::/64 | 2c19:dd:c25a:2098:ffff:ffff:ffff:ffff |
| 154 | 2c19:dd:c25a:2099::/64 | 2c19:dd:c25a:2099:ffff:ffff:ffff:ffff |
| 155 | 2c19:dd:c25a:209a::/64 | 2c19:dd:c25a:209a:ffff:ffff:ffff:ffff |
| 156 | 2c19:dd:c25a:209b::/64 | 2c19:dd:c25a:209b:ffff:ffff:ffff:ffff |
| 157 | 2c19:dd:c25a:209c::/64 | 2c19:dd:c25a:209c:ffff:ffff:ffff:ffff |
| 158 | 2c19:dd:c25a:209d::/64 | 2c19:dd:c25a:209d:ffff:ffff:ffff:ffff |
| 159 | 2c19:dd:c25a:209e::/64 | 2c19:dd:c25a:209e:ffff:ffff:ffff:ffff |
| 160 | 2c19:dd:c25a:209f::/64 | 2c19:dd:c25a:209f:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd:c25a:20a0::/64 | 2c19:dd:c25a:20a0:ffff:ffff:ffff:ffff |
| 162 | 2c19:dd:c25a:20a1::/64 | 2c19:dd:c25a:20a1:ffff:ffff:ffff:ffff |
| 163 | 2c19:dd:c25a:20a2::/64 | 2c19:dd:c25a:20a2:ffff:ffff:ffff:ffff |
| 164 | 2c19:dd:c25a:20a3::/64 | 2c19:dd:c25a:20a3:ffff:ffff:ffff:ffff |
| 165 | 2c19:dd:c25a:20a4::/64 | 2c19:dd:c25a:20a4:ffff:ffff:ffff:ffff |
| 166 | 2c19:dd:c25a:20a5::/64 | 2c19:dd:c25a:20a5:ffff:ffff:ffff:ffff |
| 167 | 2c19:dd:c25a:20a6::/64 | 2c19:dd:c25a:20a6:ffff:ffff:ffff:ffff |
| 168 | 2c19:dd:c25a:20a7::/64 | 2c19:dd:c25a:20a7:ffff:ffff:ffff:ffff |
| 169 | 2c19:dd:c25a:20a8::/64 | 2c19:dd:c25a:20a8:ffff:ffff:ffff:ffff |
| 170 | 2c19:dd:c25a:20a9::/64 | 2c19:dd:c25a:20a9:ffff:ffff:ffff:ffff |
| 171 | 2c19:dd:c25a:20aa::/64 | 2c19:dd:c25a:20aa:ffff:ffff:ffff:ffff |
| 172 | 2c19:dd:c25a:20ab::/64 | 2c19:dd:c25a:20ab:ffff:ffff:ffff:ffff |
| 173 | 2c19:dd:c25a:20ac::/64 | 2c19:dd:c25a:20ac:ffff:ffff:ffff:ffff |
| 174 | 2c19:dd:c25a:20ad::/64 | 2c19:dd:c25a:20ad:ffff:ffff:ffff:ffff |
| 175 | 2c19:dd:c25a:20ae::/64 | 2c19:dd:c25a:20ae:ffff:ffff:ffff:ffff |
| 176 | 2c19:dd:c25a:20af::/64 | 2c19:dd:c25a:20af:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd:c25a:20b0::/64 | 2c19:dd:c25a:20b0:ffff:ffff:ffff:ffff |
| 178 | 2c19:dd:c25a:20b1::/64 | 2c19:dd:c25a:20b1:ffff:ffff:ffff:ffff |
| 179 | 2c19:dd:c25a:20b2::/64 | 2c19:dd:c25a:20b2:ffff:ffff:ffff:ffff |
| 180 | 2c19:dd:c25a:20b3::/64 | 2c19:dd:c25a:20b3:ffff:ffff:ffff:ffff |
| 181 | 2c19:dd:c25a:20b4::/64 | 2c19:dd:c25a:20b4:ffff:ffff:ffff:ffff |
| 182 | 2c19:dd:c25a:20b5::/64 | 2c19:dd:c25a:20b5:ffff:ffff:ffff:ffff |
| 183 | 2c19:dd:c25a:20b6::/64 | 2c19:dd:c25a:20b6:ffff:ffff:ffff:ffff |
| 184 | 2c19:dd:c25a:20b7::/64 | 2c19:dd:c25a:20b7:ffff:ffff:ffff:ffff |
| 185 | 2c19:dd:c25a:20b8::/64 | 2c19:dd:c25a:20b8:ffff:ffff:ffff:ffff |
| 186 | 2c19:dd:c25a:20b9::/64 | 2c19:dd:c25a:20b9:ffff:ffff:ffff:ffff |
| 187 | 2c19:dd:c25a:20ba::/64 | 2c19:dd:c25a:20ba:ffff:ffff:ffff:ffff |
| 188 | 2c19:dd:c25a:20bb::/64 | 2c19:dd:c25a:20bb:ffff:ffff:ffff:ffff |
| 189 | 2c19:dd:c25a:20bc::/64 | 2c19:dd:c25a:20bc:ffff:ffff:ffff:ffff |
| 190 | 2c19:dd:c25a:20bd::/64 | 2c19:dd:c25a:20bd:ffff:ffff:ffff:ffff |
| 191 | 2c19:dd:c25a:20be::/64 | 2c19:dd:c25a:20be:ffff:ffff:ffff:ffff |
| 192 | 2c19:dd:c25a:20bf::/64 | 2c19:dd:c25a:20bf:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd:c25a:20c0::/64 | 2c19:dd:c25a:20c0:ffff:ffff:ffff:ffff |
| 194 | 2c19:dd:c25a:20c1::/64 | 2c19:dd:c25a:20c1:ffff:ffff:ffff:ffff |
| 195 | 2c19:dd:c25a:20c2::/64 | 2c19:dd:c25a:20c2:ffff:ffff:ffff:ffff |
| 196 | 2c19:dd:c25a:20c3::/64 | 2c19:dd:c25a:20c3:ffff:ffff:ffff:ffff |
| 197 | 2c19:dd:c25a:20c4::/64 | 2c19:dd:c25a:20c4:ffff:ffff:ffff:ffff |
| 198 | 2c19:dd:c25a:20c5::/64 | 2c19:dd:c25a:20c5:ffff:ffff:ffff:ffff |
| 199 | 2c19:dd:c25a:20c6::/64 | 2c19:dd:c25a:20c6:ffff:ffff:ffff:ffff |
| 200 | 2c19:dd:c25a:20c7::/64 | 2c19:dd:c25a:20c7:ffff:ffff:ffff:ffff |
| 201 | 2c19:dd:c25a:20c8::/64 | 2c19:dd:c25a:20c8:ffff:ffff:ffff:ffff |
| 202 | 2c19:dd:c25a:20c9::/64 | 2c19:dd:c25a:20c9:ffff:ffff:ffff:ffff |
| 203 | 2c19:dd:c25a:20ca::/64 | 2c19:dd:c25a:20ca:ffff:ffff:ffff:ffff |
| 204 | 2c19:dd:c25a:20cb::/64 | 2c19:dd:c25a:20cb:ffff:ffff:ffff:ffff |
| 205 | 2c19:dd:c25a:20cc::/64 | 2c19:dd:c25a:20cc:ffff:ffff:ffff:ffff |
| 206 | 2c19:dd:c25a:20cd::/64 | 2c19:dd:c25a:20cd:ffff:ffff:ffff:ffff |
| 207 | 2c19:dd:c25a:20ce::/64 | 2c19:dd:c25a:20ce:ffff:ffff:ffff:ffff |
| 208 | 2c19:dd:c25a:20cf::/64 | 2c19:dd:c25a:20cf:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd:c25a:20d0::/64 | 2c19:dd:c25a:20d0:ffff:ffff:ffff:ffff |
| 210 | 2c19:dd:c25a:20d1::/64 | 2c19:dd:c25a:20d1:ffff:ffff:ffff:ffff |
| 211 | 2c19:dd:c25a:20d2::/64 | 2c19:dd:c25a:20d2:ffff:ffff:ffff:ffff |
| 212 | 2c19:dd:c25a:20d3::/64 | 2c19:dd:c25a:20d3:ffff:ffff:ffff:ffff |
| 213 | 2c19:dd:c25a:20d4::/64 | 2c19:dd:c25a:20d4:ffff:ffff:ffff:ffff |
| 214 | 2c19:dd:c25a:20d5::/64 | 2c19:dd:c25a:20d5:ffff:ffff:ffff:ffff |
| 215 | 2c19:dd:c25a:20d6::/64 | 2c19:dd:c25a:20d6:ffff:ffff:ffff:ffff |
| 216 | 2c19:dd:c25a:20d7::/64 | 2c19:dd:c25a:20d7:ffff:ffff:ffff:ffff |
| 217 | 2c19:dd:c25a:20d8::/64 | 2c19:dd:c25a:20d8:ffff:ffff:ffff:ffff |
| 218 | 2c19:dd:c25a:20d9::/64 | 2c19:dd:c25a:20d9:ffff:ffff:ffff:ffff |
| 219 | 2c19:dd:c25a:20da::/64 | 2c19:dd:c25a:20da:ffff:ffff:ffff:ffff |
| 220 | 2c19:dd:c25a:20db::/64 | 2c19:dd:c25a:20db:ffff:ffff:ffff:ffff |
| 221 | 2c19:dd:c25a:20dc::/64 | 2c19:dd:c25a:20dc:ffff:ffff:ffff:ffff |
| 222 | 2c19:dd:c25a:20dd::/64 | 2c19:dd:c25a:20dd:ffff:ffff:ffff:ffff |
| 223 | 2c19:dd:c25a:20de::/64 | 2c19:dd:c25a:20de:ffff:ffff:ffff:ffff |
| 224 | 2c19:dd:c25a:20df::/64 | 2c19:dd:c25a:20df:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd:c25a:20e0::/64 | 2c19:dd:c25a:20e0:ffff:ffff:ffff:ffff |
| 226 | 2c19:dd:c25a:20e1::/64 | 2c19:dd:c25a:20e1:ffff:ffff:ffff:ffff |
| 227 | 2c19:dd:c25a:20e2::/64 | 2c19:dd:c25a:20e2:ffff:ffff:ffff:ffff |
| 228 | 2c19:dd:c25a:20e3::/64 | 2c19:dd:c25a:20e3:ffff:ffff:ffff:ffff |
| 229 | 2c19:dd:c25a:20e4::/64 | 2c19:dd:c25a:20e4:ffff:ffff:ffff:ffff |
| 230 | 2c19:dd:c25a:20e5::/64 | 2c19:dd:c25a:20e5:ffff:ffff:ffff:ffff |
| 231 | 2c19:dd:c25a:20e6::/64 | 2c19:dd:c25a:20e6:ffff:ffff:ffff:ffff |
| 232 | 2c19:dd:c25a:20e7::/64 | 2c19:dd:c25a:20e7:ffff:ffff:ffff:ffff |
| 233 | 2c19:dd:c25a:20e8::/64 | 2c19:dd:c25a:20e8:ffff:ffff:ffff:ffff |
| 234 | 2c19:dd:c25a:20e9::/64 | 2c19:dd:c25a:20e9:ffff:ffff:ffff:ffff |
| 235 | 2c19:dd:c25a:20ea::/64 | 2c19:dd:c25a:20ea:ffff:ffff:ffff:ffff |
| 236 | 2c19:dd:c25a:20eb::/64 | 2c19:dd:c25a:20eb:ffff:ffff:ffff:ffff |
| 237 | 2c19:dd:c25a:20ec::/64 | 2c19:dd:c25a:20ec:ffff:ffff:ffff:ffff |
| 238 | 2c19:dd:c25a:20ed::/64 | 2c19:dd:c25a:20ed:ffff:ffff:ffff:ffff |
| 239 | 2c19:dd:c25a:20ee::/64 | 2c19:dd:c25a:20ee:ffff:ffff:ffff:ffff |
| 240 | 2c19:dd:c25a:20ef::/64 | 2c19:dd:c25a:20ef:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd:c25a:20f0::/64 | 2c19:dd:c25a:20f0:ffff:ffff:ffff:ffff |
| 242 | 2c19:dd:c25a:20f1::/64 | 2c19:dd:c25a:20f1:ffff:ffff:ffff:ffff |
| 243 | 2c19:dd:c25a:20f2::/64 | 2c19:dd:c25a:20f2:ffff:ffff:ffff:ffff |
| 244 | 2c19:dd:c25a:20f3::/64 | 2c19:dd:c25a:20f3:ffff:ffff:ffff:ffff |
| 245 | 2c19:dd:c25a:20f4::/64 | 2c19:dd:c25a:20f4:ffff:ffff:ffff:ffff |
| 246 | 2c19:dd:c25a:20f5::/64 | 2c19:dd:c25a:20f5:ffff:ffff:ffff:ffff |
| 247 | 2c19:dd:c25a:20f6::/64 | 2c19:dd:c25a:20f6:ffff:ffff:ffff:ffff |
| 248 | 2c19:dd:c25a:20f7::/64 | 2c19:dd:c25a:20f7:ffff:ffff:ffff:ffff |
| 249 | 2c19:dd:c25a:20f8::/64 | 2c19:dd:c25a:20f8:ffff:ffff:ffff:ffff |
| 250 | 2c19:dd:c25a:20f9::/64 | 2c19:dd:c25a:20f9:ffff:ffff:ffff:ffff |
| 251 | 2c19:dd:c25a:20fa::/64 | 2c19:dd:c25a:20fa:ffff:ffff:ffff:ffff |
| 252 | 2c19:dd:c25a:20fb::/64 | 2c19:dd:c25a:20fb:ffff:ffff:ffff:ffff |
| 253 | 2c19:dd:c25a:20fc::/64 | 2c19:dd:c25a:20fc:ffff:ffff:ffff:ffff |
| 254 | 2c19:dd:c25a:20fd::/64 | 2c19:dd:c25a:20fd:ffff:ffff:ffff:ffff |
| 255 | 2c19:dd:c25a:20fe::/64 | 2c19:dd:c25a:20fe:ffff:ffff:ffff:ffff |
| 256 | 2c19:dd:c25a:20ff::/64 | 2c19:dd:c25a:20ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |